import { readFileSync } from "fs";

const domains = readFileSync('./disposable-email-domains/disposable_email_blocklist.conf', 'utf8')
  .trim()
  .split('\n');

const disposableEmailDomains = new Set(domains);
export function isDisposableEmail(email: string) {
  const domain = email.split('@')?.[1];
  return domain && disposableEmailDomains.has(domain);
}
